# std::out_of_range Class Reference

Inheritance diagram for std::out_of_range:

[legend]
Collaboration diagram for std::out_of_range:

[legend]
List of all members.

## Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 97 of file stdexcept.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc